Fapi_Unseal(3)

NAME
Fapi_Unseal - Fapi_Unseal

SYNOPSIS

  Functions
TSS2_RC Fapi_Unseal (FAPI_CONTEXT *context, char const *path, uint8_t **data, size_t *size)
TSS2_RC Fapi_Unseal_Async (FAPI_CONTEXT *context, char const *path)
TSS2_RC Fapi_Unseal_Finish (FAPI_CONTEXT *context, uint8_t **data, size_t *size)

Detailed Description

FAPI functions to invoke Unseal either as one-call or in an asynchronous manner.

Function Documentation

  Fapi_Unseal (FAPI_CONTEXT * context, char const * path, uint8_t ** data, size_t * size)
One-Call function for Fapi_Unseal

Unseals data from a seal in the FAPI metadata store.

Parameters
    context The FAPI_CONTEXT
    path The path to the sealed data
    data The decrypted data after unsealing. May be NULL
    size The size of data in bytes. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not point to a sealed data object.
    TSS2_FAPI_RC_BAD_VALUE if the digestSize is zero.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_SIGNATURE_VERIFICATION_FAILED if the signature could not be verified
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN if a required authorization callback is not set.
    TSS2_FAPI_RC_AUTHORIZATION_FAILED if the authorization attempt fails.
    TSS2_FAPI_RC_POLICY_UNKNOWN if policy search for a certain policy digest was not successful.

  Fapi_Unseal_Async (FAPI_CONTEXT * context, char const * path)
Asynchronous function for Fapi_Unseal

Unseals data from a seal in the FAPI metadata store.

Call Fapi_Unseal_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path to the sealed data

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not point to a sealed data object.
    TSS2_FAPI_RC_BAD_VALUE if the digestSize is zero.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.

  Fapi_Unseal_Finish (FAPI_CONTEXT * context, uint8_t ** data, size_t * size)
Asynchronous finish function for Fapi_Unseal

This function should be called after a previous Fapi_Unseal_Async.

Parameters
    context The FAPI_CONTEXT
    data The decrypted data after unsealing. May be NULL
    size The size of data in bytes. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_SIGNATURE_VERIFICATION_FAILED if the signature could not be verified
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.
    TSS2_FAPI_RC_BAD_PATH if the path is used in inappropriate context or contains illegal characters.
    TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN if a required authorization callback is not set.
    TSS2_FAPI_RC_AUTHORIZATION_FAILED if the authorization attempt fails.
    TSS2_FAPI_RC_POLICY_UNKNOWN if policy search for a certain policy digest was not successful.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.